commit:     bac1d010ef219c506e4755676dd5f74dae166e9b
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 26 00:56:47 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Apr 26 01:31:42 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bac1d010

app-emacs/dap-mode: new package; add version 0.7

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/dap-mode/Manifest                        |  1 +
 app-emacs/dap-mode/dap-mode-0.7.ebuild             | 54 ++++++++++++++++++++++
 app-emacs/dap-mode/files/50dap-mode-gentoo.el      |  1 +
 .../files/dap-mode-dap-ui-images-root-dir.patch    | 12 +++++
 app-emacs/dap-mode/metadata.xml                    | 14 ++++++
 5 files changed, 82 insertions(+)

diff --git a/app-emacs/dap-mode/Manifest b/app-emacs/dap-mode/Manifest
new file mode 100644
index 000000000000..2ddf4ae9ac55
--- /dev/null
+++ b/app-emacs/dap-mode/Manifest
@@ -0,0 +1 @@
+DIST dap-mode-0.7.tar.gz 6147924 BLAKE2B 
300a058134e58e5ae5f94fd62251c1c621478b3148e7453ef5acd062a2c6088f0036e3ac2588ce22138d39b77221396c3f310177914b08a2bbc177cfbc14efce
 SHA512 
ba8d8e2b3e9b699b27226b13624b24a6f78ea884fe9e8e7667537e06285354bf996f7f5d621e2576ad34bbf02ede316bf001444b8b5c67fa604aa5dc5d9416ff

diff --git a/app-emacs/dap-mode/dap-mode-0.7.ebuild 
b/app-emacs/dap-mode/dap-mode-0.7.ebuild
new file mode 100644
index 000000000000..38928cefa99b
--- /dev/null
+++ b/app-emacs/dap-mode/dap-mode-0.7.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=26.1
+
+inherit elisp
+
+DESCRIPTION="Debug Adapter Protocol mode"
+HOMEPAGE="https://github.com/emacs-lsp/dap-mode/";
+SRC_URI="https://github.com/emacs-lsp/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3+"
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       app-emacs/bui
+       app-emacs/dash
+       app-emacs/f
+       app-emacs/ht
+       app-emacs/lsp-mode
+       app-emacs/lsp-treemacs
+       app-emacs/posframe
+       app-emacs/s
+"
+BDEPEND="
+       ${RDEPEND}
+       test? ( app-emacs/ert-runner )
+"
+
+DOCS=( CHANGELOG.org README.org )
+PATCHES=( "${FILESDIR}"/${PN}-dap-ui-images-root-dir.patch )
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+       elisp_src_prepare
+
+       sed "s|@SITEETC@|${SITEETC}/${PN}|" -i dap-ui.el || die
+}
+
+src_test() {
+       ert-runner -L . -L test --reporter ert+duration || die
+}
+
+src_install() {
+       elisp_src_install
+
+       insinto ${SITEETC}/${PN}
+       doins -r icons
+}

diff --git a/app-emacs/dap-mode/files/50dap-mode-gentoo.el 
b/app-emacs/dap-mode/files/50dap-mode-gentoo.el
new file mode 100644
index 000000000000..431f7e90ae73
--- /dev/null
+++ b/app-emacs/dap-mode/files/50dap-mode-gentoo.el
@@ -0,0 +1 @@
+(add-to-list 'load-path "@SITELISP@")

diff --git a/app-emacs/dap-mode/files/dap-mode-dap-ui-images-root-dir.patch 
b/app-emacs/dap-mode/files/dap-mode-dap-ui-images-root-dir.patch
new file mode 100644
index 000000000000..53bbb2ad13b2
--- /dev/null
+++ b/app-emacs/dap-mode/files/dap-mode-dap-ui-images-root-dir.patch
@@ -0,0 +1,12 @@
+index ba02fee..56be79f 100644
+--- a/dap-ui.el
++++ b/dap-ui.el
+@@ -486,7 +486,7 @@ DEBUG-SESSION is the debug session triggering the event."
+ 
+ 
+ ;; dap-ui posframe stuff
+-(defvar dap-ui--control-images-root-dir (f-join (f-dirname (file-truename (or 
load-file-name buffer-file-name))) "icons/vscode"))
++(defvar dap-ui--control-images-root-dir "@SITEETC@/icons/vscode")
+ (defvar dap-ui--control-buffer " *dap-ui*")
+ 
+ (defun dap-ui--create-command (image command hover-text)

diff --git a/app-emacs/dap-mode/metadata.xml b/app-emacs/dap-mode/metadata.xml
new file mode 100644
index 000000000000..c5f3eebffb11
--- /dev/null
+++ b/app-emacs/dap-mode/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo GNU Emacs project</name>
+  </maintainer>
+  <upstream>
+    
<changelog>https://raw.githubusercontent.com/emacs-lsp/dap-mode/master/CHANGELOG.org</changelog>
+    <bugs-to>https://github.com/emacs-lsp/dap-mode/issues/</bugs-to>
+    <remote-id type="github">emacs-lsp/dap-mode</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to